Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Class ATMega128L.SimImpl.USART.UBRRnLReg

    java.lang.Object
      avrora.sim.State.RWIOReg
          avrora.sim.mcu.ATMega128L.SimImpl.USART.UBRRnLReg

All Implemented Interfaces:
  State.IOReg

Enclosing class:
  ATMega128L.SimImpl.USART

protected class ATMega128L.SimImpl.USART.UBRRnLReg
extends State.RWIOReg

The low byte of the Baud Rate register. The baud rate is not updated until the low bit is updated.

Field Summary

Fields inherited from class avrora.sim.State.RWIOReg
`value`

Constructor Summary
`protected` | `ATMega128L.SimImpl.USART.UBRRnLReg()`

Method Summary
`void` | `write(byte val)` The `write()` method writes an 8-bit value to the IO register as a byte.
`void` | `writeBit(int bit, boolean val)` The `writeBit()` method writes a single bit value into the IO register at the specified bit offset.

Methods inherited from class avrora.sim.State.RWIOReg
`read, readBit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATMega128L.SimImpl.USART.UBRRnLReg

    protected ATMega128L.SimImpl.USART.UBRRnLReg()

Method Detail

### write

    public void write(byte val)

  Description copied from class: `State.RWIOReg`
  The `write()` method writes an 8-bit value to the IO register as a byte. For simple `RWIOReg` instances, this simply writes the internally stored value.

  Specified by:
    `write` in interface `State.IOReg`
  Overrides:
    `write` in class `State.RWIOReg`
  Parameters:
    `val` - the value to write

### writeBit

    public void writeBit(int bit,
                         boolean val)

  Description copied from interface: `State.IOReg`
  The `writeBit()` method writes a single bit value into the IO register at the specified bit offset.

  Specified by:
    `writeBit` in interface `State.IOReg`
  Overrides:
    `writeBit` in class `State.RWIOReg`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD